# Uses of Interface
org.eclipse.jface.action.IToolBarManager

Packages that use IToolBarManager
Package
Description
org.eclipse.compare.contentmergeviewer
Support for compare and merge viewers which show the content side-by-side.
org.eclipse.compare.internal
org.eclipse.debug.ui
Provides a generic debugger user interface that clients may customize via standard workbench extension points.
org.eclipse.e4.ui.workbench.renderers.swt
org.eclipse.jface.action
Provides support for shared UI resources such as menus, tool bars, and status lines.
org.eclipse.jface.window
Provides a general framework for creating and managing windows.
org.eclipse.search.ui.text
Provides the base classes to implement a search result view part for searches with textual matches.
org.eclipse.team.ui
Provides basic support for managing Team providers.
org.eclipse.team.ui.history
Application programming interfaces for working with history.
org.eclipse.team.ui.synchronize
Contains the team synchronization presentation framework and support for the Synchronize View.
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.console
Application programming interfaces for interaction with the Eclipse console.
org.eclipse.ui.forms.widgets
Custom widgets and controls for forms-based parts.
org.eclipse.ui.internal
org.eclipse.ui.part
Classes for the creation of workbench parts that integrate with the Eclipse Platform User Interface.
org.eclipse.ui.views.properties
Provides the standard Property Sheet view which displays custom properties of the active workbench part's current selection.

## Uses of IToolBarManager in org.eclipse.compare.contentmergeviewer

Methods in org.eclipse.compare.contentmergeviewer that return IToolBarManager
Modifier and Type
Method
Description
`protected IToolBarManager`
ContentMergeViewer.`getToolBarManager(Composite parent)`
Returns the toolbar manager for this viewer.

## Uses of IToolBarManager in org.eclipse.compare.internal

Methods in org.eclipse.compare.internal with parameters of type IToolBarManager
Modifier and Type
Method
Description
`void`
CompareEditorContributor.`contributeToToolBar(IToolBarManager tbm)`

## Uses of IToolBarManager in org.eclipse.debug.ui

Methods in org.eclipse.debug.ui with parameters of type IToolBarManager
Modifier and Type
Method
Description
`protected abstract void`
AbstractDebugView.`configureToolBar(IToolBarManager tbm)`
Subclasses implement this menu to contribute actions to the toolbar.

## Uses of IToolBarManager in org.eclipse.e4.ui.workbench.renderers.swt

Methods in org.eclipse.e4.ui.workbench.renderers.swt with parameters of type IToolBarManager
Modifier and Type
Method
Description
`void`
ToolBarManagerRenderer.`reconcileManagerToModel(IToolBarManager menuManager, MToolBar toolBar)`

## Uses of IToolBarManager in org.eclipse.jface.action

Classes in org.eclipse.jface.action that implement IToolBarManager
Modifier and Type
Class
Description
`class`
`SubToolBarManager`
A `SubToolBarManager` monitors the additional and removal of items from a parent manager so that visibility of the entire set can be changed as a unit.
`class`
`ToolBarManager`
A tool bar manager is a contribution manager which realizes itself and its items in a tool bar control.
Methods in org.eclipse.jface.action that return IToolBarManager
Modifier and Type
Method
Description
`protected final IToolBarManager`
SubToolBarManager.`getParentToolBarManager()`
`IToolBarManager`
ToolBarContributionItem.`getToolBarManager()`
Returns the internal tool bar manager of the contribution item.
Methods in org.eclipse.jface.action with parameters of type IToolBarManager
Modifier and Type
Method
Description
`void`
CoolBarManager.`add(IToolBarManager toolBarManager)`
`void`
ICoolBarManager.`add(IToolBarManager toolBarManager)`
A convenience method to add a tool bar as a contribution item to this cool bar manager.
`void`
SubCoolBarManager.`add(IToolBarManager toolBarManager)`
Constructors in org.eclipse.jface.action with parameters of type IToolBarManager
Modifier
Constructor
Description
``
`SubToolBarManager(IToolBarManager mgr)`
Constructs a new manager.
``
`ToolBarContributionItem(IToolBarManager toolBarManager)`
Convenience method equivalent to `ToolBarContributionItem(toolBarManager, null)`.
``
`ToolBarContributionItem(IToolBarManager toolBarManager, String id)`
Creates a tool bar contribution item.

## Uses of IToolBarManager in org.eclipse.jface.window

Methods in org.eclipse.jface.window that return IToolBarManager
Modifier and Type
Method
Description
`protected IToolBarManager`
ApplicationWindow.`createToolBarManager2(int style)`
Returns a new tool bar manager for the window.
`IToolBarManager`
ApplicationWindow.`getToolBarManager2()`
Returns the tool bar manager for this window (if it has one).

## Uses of IToolBarManager in org.eclipse.search.ui.text

Methods in org.eclipse.search.ui.text with parameters of type IToolBarManager
Modifier and Type
Method
Description
`protected void`
AbstractTextSearchViewPage.`fillToolbar(IToolBarManager tbm)`
Fills the toolbar contribution for this page.

## Uses of IToolBarManager in org.eclipse.team.ui

Methods in org.eclipse.team.ui with parameters of type IToolBarManager
Modifier and Type
Method
Description
`protected abstract IPage`
PageCompareEditorInput.`createPage(CompareViewerPane parent, IToolBarManager toolBarManager)`
Create the page for this part and return the top level control for the page.

## Uses of IToolBarManager in org.eclipse.team.ui.history

Methods in org.eclipse.team.ui.history that return IToolBarManager
Modifier and Type
Method
Description
`IToolBarManager`
IHistoryPageSite.`getToolBarManager()`
Returns the toolbar manager for this site or `null` it there is no toolbar.
Methods in org.eclipse.team.ui.history with parameters of type IToolBarManager
Modifier and Type
Method
Description
`protected IPage`
HistoryPageCompareEditorInput.`createPage(CompareViewerPane parent, IToolBarManager toolBarManager)`

## Uses of IToolBarManager in org.eclipse.team.ui.synchronize

Methods in org.eclipse.team.ui.synchronize with parameters of type IToolBarManager
Modifier and Type
Method
Description
`protected IPage`
ParticipantPageCompareEditorInput.`createPage(CompareViewerPane parent, IToolBarManager toolBarManager)`

## Uses of IToolBarManager in org.eclipse.ui

Methods in org.eclipse.ui that return IToolBarManager
Modifier and Type
Method
Description
`IToolBarManager`
IActionBars.`getToolBarManager()`
Returns the tool bar manager.
`IToolBarManager`
SubActionBars.`getToolBarManager()`
Returns the tool bar manager.
Methods in org.eclipse.ui with parameters of type IToolBarManager
Modifier and Type
Method
Description
`protected SubToolBarManager`
SubActionBars.`createSubToolBarManager(IToolBarManager parent)`
Returns a new sub toolbar manager.

## Uses of IToolBarManager in org.eclipse.ui.console

Methods in org.eclipse.ui.console with parameters of type IToolBarManager
Modifier and Type
Method
Description
`protected void`
TextConsolePage.`configureToolBar(IToolBarManager mgr)`

## Uses of IToolBarManager in org.eclipse.ui.forms.widgets

Methods in org.eclipse.ui.forms.widgets that return IToolBarManager
Modifier and Type
Method
Description
`IToolBarManager`
Form.`getToolBarManager()`
Returns the tool bar manager that is used to manage tool items in the form's title area.
`IToolBarManager`
ScrolledForm.`getToolBarManager()`
Returns the tool bar manager that is used to manage tool items in the form's title area.

## Uses of IToolBarManager in org.eclipse.ui.internal

Methods in org.eclipse.ui.internal that return IToolBarManager
Modifier and Type
Method
Description
`IToolBarManager`
ActionSetActionBars.`getToolBarManager()`
Returns a tool bar manager for this Item.
`IToolBarManager`
ActionSetActionBars.`getToolBarManager(String actionId)`
Returns the correct tool bar for the given action id.
`IToolBarManager`
EditorActionBars.`getToolBarManager()`
Returns the tool bar manager.
`IToolBarManager`
WorkbenchWindow.`getToolBarManager()`
`IToolBarManager`
WWinActionBars.`getToolBarManager()`
Returns the tool bar manager.
Methods in org.eclipse.ui.internal with parameters of type IToolBarManager
Modifier and Type
Method
Description
`void`
CoolBarToTrimManager.`add(IToolBarManager toolBarManager)`
`void`
PluginActionBuilder.BasicContribution.`contribute(IMenuManager menu, boolean menuAppendIfMissing, IToolBarManager toolbar, boolean toolAppendIfMissing)`
Contributes submenus and/or actions into the provided menu and tool bar managers.
`final void`
PluginActionBuilder.`contribute(IMenuManager menu, IToolBarManager toolbar, boolean appendIfMissing)`
Contributes submenus and/or actions into the provided menu and tool bar managers.
`protected void`
PluginActionBuilder.BasicContribution.`contributeToolbarAction(ActionDescriptor ad, IToolBarManager toolbar, boolean appendIfMissing)`
Contributes action from the action descriptor into the provided tool bar manager.
`protected SubToolBarManager`
ActionSetActionBars.`createSubToolBarManager(IToolBarManager parent)`
`protected SubToolBarManager`
EditorActionBars.`createSubToolBarManager(IToolBarManager parent)`

## Uses of IToolBarManager in org.eclipse.ui.part

Methods in org.eclipse.ui.part with parameters of type IToolBarManager
Modifier and Type
Method
Description
`void`
DrillDownAdapter.`addNavigationActions(IToolBarManager toolBar)`
Adds actions for "go back", "go home", and "go into" to a tool bar manager.
`void`
EditorActionBarContributor.`contributeToToolBar(IToolBarManager toolBarManager)`
Contributes to the given tool bar.
`void`
Page.`makeContributions(IMenuManager menuManager, IToolBarManager toolBarManager, IStatusLineManager statusLineManager)`
This method exists for backward compatibility.

## Uses of IToolBarManager in org.eclipse.ui.views.properties

Methods in org.eclipse.ui.views.properties with parameters of type IToolBarManager
Modifier and Type
Method
Description
`void`
PropertySheetPage.`makeContributions(IMenuManager menuManager, IToolBarManager toolBarManager, IStatusLineManager statusLineManager)`